#
# Conditional build:
%bcond_with	tests		# perform "make test"

%define		pdir	Device
%define		pnam	USB
%include	/usr/lib/rpm/macros.perl
Summary:	Device::USB - Use libusb to access USB devices
Name:		perl-Device-USB
Version:	0.35
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/G/GW/GWADEJ/Device-USB-%{version}.tar.gz
# Source0-md5:	8ce79b0c26336dafd3d29f8cb534a925
URL:		http://search.cpan.org/dist/Device-USB/
%if "%{pld_release}" == "ac"
BuildRequires:	libusb-devel < 1.0
%else
BuildRequires:	libusb-compat-devel
%endif
BuildRequires:	perl-Inline
BuildRequires:	perl-Inline-C
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the C library libusb. This
library supports a relatively full set of functionality to access a
USB device. In addition to the libusb, functioality, Device::USB
provides a few convenience features that are intended to produce a
more Perl-ish interface.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# function names conflict with libusb-1.0
sed -e 's/libusb_/DeviceUSB_/g' -i lib/Device/USB.pm lib/Device/USB/Device.pm
rm USB.pm
ln -s lib/Device/USB.pm .

%build
export LIBUSB_LIBDIR="%{_libdir}"
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Device/*.pm
%{perl_vendorarch}/Device/USB
%attr(755,root,root) %{perl_vendorarch}/Device/dump_usb.pl
%dir %{perl_vendorarch}/auto/Device/USB
%attr(755,root,root) %{perl_vendorarch}/auto/Device/USB/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Device-USB.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f011315
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2046515
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 184423f
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7901e69
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Tue Jul 26 2011 Elan Ruusamäe <glen@pld-linux.org> 1ac250d
- release 2

* Tue Jul 26 2011 Elan Ruusamäe <glen@pld-linux.org> 846e33c
- up to 0.35, fixes segfaults on x86_64 platforms

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 23d3897
- release 2

* Wed Mar 24 2010 amateja <amateja@pld-linux.org> 52a006a
- updated to 0.33

* Wed Jan 13 2010 sparky <sparky@pld-linux.org> 685c656
- BR compatible with Ac

* Tue Dec 22 2009 sparky <sparky@pld-linux.org> 9254e82
- change internal function prefix from libusb to DeviceUSB because they
  conflict with libusb-1.0

* Tue Dec 22 2009 sparky <sparky@pld-linux.org> 52bac28
- updated to 0.3
- BR: libusb-compat-devel instead of libusb-devel
- build fixes

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 45fc015
- updated to 0.29

* Mon Dec 22 2008 sparky <sparky@pld-linux.org> df9ac37
- not noarch

* Mon Dec 22 2008 sparky <sparky@pld-linux.org> 912a3b4
- new

